package org.richfaces.testng;

import org.ajax4jsf.template.Template;
import org.testng.Assert;
import org.testng.annotations.Test;


public class MessageTest extends AbstractMessageTest {

	@Override
	protected void init(Template template) {
		super.init(template);
    	label = "xpath=id('" + message + "')/span[2]";
	}
	
    /**
     * ajaxRendered message output first message for attached component by ajax request
     */
    @Test
    public void testAjaxRendered(Template template) {
    	init(template);
    	Assert.assertTrue(selenium.isElementPresent(mainForm + ":passedMarker"));
    	selenium.type(inputText, "fatal");
    	clickAjaxCommandAndWait(mainForm + ":submitWithoutReRender");
    	Assert.assertTrue(selenium.isElementPresent(mainForm + ":passedMarker"));
    	clickAjaxCommandAndWait(ajaxRendered);
    	clickAjaxCommandAndWait(mainForm + ":submitWithoutReRender");
    	Assert.assertTrue(selenium.isElementPresent(mainForm + ":fatalMarker"));
    }
    
	@Override
	public String getTestUrl() {
		return "pages/message/message.xhtml";
	}

}
